
package pl.gda.biomed.jwr.color;

import java.io.File;

/**
 *
 * @author jwr
 */
public class ImageMetaData implements Comparable{

    public int [] dominantColor;
    public double similarity;
    public File fileLocation;
    
    public ImageMetaData(){
        
    }
    
    public int compareTo(Object o) {
        if(o instanceof ImageMetaData){
            ImageMetaData imd=(ImageMetaData)o;
            if(this.similarity==imd.similarity){
                return 0;
            }else if(this.similarity>imd.similarity){
                return -1;
            }else return 1;
            
        }else return -1;
    }//compareTo

}
